<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:02 CET 2009 -->
<TITLE>
AbstractExactMembershipLongSet
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.longs.AbstractExactMembershipLongSet class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractExactMembershipLongSet";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractExactMembershipLongSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractBitSet.html" title="class in ch.javasoft.util.longs"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html" title="class in ch.javasoft.util.longs"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractExactMembershipLongSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.longs.AbstractLongCollection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.longs</FONT>
<BR>
Class AbstractExactMembershipLongSet</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html" title="class in ch.javasoft.util.longs">ch.javasoft.util.longs.AbstractLongCollection</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html" title="class in ch.javasoft.util.longs">ch.javasoft.util.longs.AbstractSortedLongSet</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.longs.AbstractExactMembershipLongSet</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html" title="interface in ch.javasoft.util.longs">LongCollection</A>, <A HREF="../../../../ch/javasoft/util/longs/LongIterable.html" title="interface in ch.javasoft.util.longs">LongIterable</A>, <A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A>, <A HREF="../../../../ch/javasoft/util/longs/LongSet.html" title="interface in ch.javasoft.util.longs">LongSet</A>, <A HREF="../../../../ch/javasoft/util/longs/SortedLongSet.html" title="interface in ch.javasoft.util.longs">SortedLongSet</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../ch/javasoft/util/longs/ExactMembershipAllCountLongSet.html" title="class in ch.javasoft.util.longs">ExactMembershipAllCountLongSet</A>, <A HREF="../../../../ch/javasoft/util/longs/ExactMembershipSkipCountLongSet.html" title="class in ch.javasoft.util.longs">ExactMembershipSkipCountLongSet</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.67"><B>AbstractExactMembershipLongSet</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html" title="class in ch.javasoft.util.longs">AbstractSortedLongSet</A><DT>implements <A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></DL>
</PRE>

<P>
The <code>AbstractExactMembershipLongSet</code> is a unmodifiable sorted set 
 containing distinct long values. For convenience, also the list interface is 
 implemented. All modifying methods throw an
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang"><CODE>UnsupportedOperationException</CODE></A>.
 <p>
 The <code>ExactMembershipLongSet</code> stores distinct long values. 
 Depending on the number of values stored in the set, it uses a different 
 storage model. For few values, they are simply kept in a sorted array. For
 many values, the values are split into two parts according to some number k.
 The low-order k bits of the values are stored in an array of k-bit values.
 The high-order bits of the values are stored in a bit string. For practical
 purposes, the value k is chosen only from 0,8,16,32,48,56 and 64. 
 <p>
 Let <code>n</code> be the number of values stored in the set. Then, the storage 
 used is <code>n+2<sup>(64-k)</sup>+k*n</code> bits, which is approximately 
 <code> n*(2+64-log<sub>2</sub>(n))</code>.
 <p>
 <b>References</b>
 <br>
 [1] "Exact Membership Tester 2 and 3" 
     in "Exact and approximate membership testers" 
     of Larry Carter, Robert Floyd, George Markowsky and Mark Wegman.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet.AbstractStorage</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>Storage</code> implementation performs the actual storage of
 the long values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage64.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage64</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>Storage64</code> simply stores the sorted long values.</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.util.longs.AbstractLongCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.util.longs.<A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html" title="class in ch.javasoft.util.longs">AbstractLongCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#mod">mod</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#AbstractExactMembershipLongSet()">AbstractExactMembershipLongSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#add(int, java.lang.Long)">add</A></B>(int&nbsp;index,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&nbsp;element)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#addAll(int, java.util.Collection)">addAll</A></B>(int&nbsp;index,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#addLong(int, long)">addLong</A></B>(int&nbsp;index,
               long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#addLong(long)">addLong</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#binarySearch(long)">binarySearch</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Searches for the specified value using the binary search algorithm.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#bytesSize()">bytesSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the total number of bytes used to store the values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#comparator()">comparator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#containsLong(long)">containsLong</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#get(int)">get</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#getLong(int)">getLong</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#getStorage()">getStorage</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the underlying storage model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#indexOf(java.lang.Object)">indexOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#indexOfLong(long)">indexOfLong</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index in this list of the first occurrence of the specified
 element, or -1 if this list does not contain this element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#intersect(ch.javasoft.util.longs.AbstractExactMembershipLongSet)">intersect</A></B>(<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a set with the long values common to <code>this</code> set and 
 <code>with</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/LongIterator.html" title="interface in ch.javasoft.util.longs">LongIterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#iterator()">iterator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#lastIndexOf(java.lang.Object)">lastIndexOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#lastIndexOfLong(long)">lastIndexOfLong</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index in this list of the last occurrence of the specified
 element, or -1 if this list does not contain this element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#listIterator()">listIterator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#listIterator(int)">listIterator</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a list iterator of the elements in this list (in proper
 sequence), starting at the specified position in this list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#listIterator(int, int)">listIterator</A></B>(int&nbsp;start,
                         int&nbsp;end)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a list iterator to iterate all long values from <code>start</code> 
 (inclusive) to <code>end</code> (exclusive)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#remove(int)">remove</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#removeLong(long)">removeLong</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#removeLongAt(int)">removeLongAt</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#set(int, java.lang.Long)">set</A></B>(int&nbsp;index,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&nbsp;element)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#setLong(int, long)">setLong</A></B>(int&nbsp;index,
               long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#subList(int, int)">subList</A></B>(int&nbsp;fromIndex,
               int&nbsp;toIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a view of the portion of this list between the specified
 <tt>fromIndex</tt>, inclusive, and <tt>toIndex</tt>, exclusive.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/longs/SortedLongSet.html" title="interface in ch.javasoft.util.longs">SortedLongSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#subSet(long, long)">subSet</A></B>(long&nbsp;fromElement,
             long&nbsp;toElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a view of the portion of this set whose elements range
 from <tt>fromElement</tt>, inclusive, to <tt>toElement</tt>,
 exclusive.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.longs.AbstractSortedLongSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.longs.<A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html" title="class in ch.javasoft.util.longs">AbstractSortedLongSet</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html#headSet(long)">headSet</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html#headSet(java.lang.Long)">headSet</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html#subSet(java.lang.Long, java.lang.Long)">subSet</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html#tailSet(long)">tailSet</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractSortedLongSet.html#tailSet(java.lang.Long)">tailSet</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.longs.AbstractLongCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.longs.<A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html" title="class in ch.javasoft.util.longs">AbstractLongCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#add(java.lang.Long)">add</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#addAll(java.util.Collection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#addAll(ch.javasoft.util.ints.IntCollection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#addAll(long...)">addAll</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#addAll(ch.javasoft.util.longs.LongCollection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#clone()">clone</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#contains(java.lang.Object)">contains</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#containsAll(java.util.Collection)">containsAll</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#first()">first</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#firstLong()">firstLong</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#isEmpty()">isEmpty</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#last()">last</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#lastLong()">lastLong</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#remove(java.lang.Object)">remove</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#removeAll(java.util.Collection)">removeAll</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#retainAll(java.util.Collection)">retainAll</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#toArray()">toArray</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#toArray(T[])">toArray</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#toArrayInternal(T[], boolean)">toArrayInternal</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#toLongArray()">toLongArray</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#toLongArray(long[])">toLongArray</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#toLongArrayInternal(long[], boolean)">toLongArrayInternal</A>, <A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.longs.LongCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.longs.<A HREF="../../../../ch/javasoft/util/longs/LongCollection.html" title="interface in ch.javasoft.util.longs">LongCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html#addAll(long...)">addAll</A>, <A HREF="../../../../ch/javasoft/util/longs/LongCollection.html#addAll(ch.javasoft.util.longs.LongCollection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/longs/LongCollection.html#toLongArray()">toLongArray</A>, <A HREF="../../../../ch/javasoft/util/longs/LongCollection.html#toLongArray(long[])">toLongArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.List"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#isEmpty()" title="class or interface in java.util">isEmpty</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#toArray()" title="class or interface in java.util">toArray</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Set"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#isEmpty()" title="class or interface in java.util">isEmpty</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#toArray()" title="class or interface in java.util">toArray</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.SortedSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#first()" title="class or interface in java.util">first</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#last()" title="class or interface in java.util">last</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Set"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#isEmpty()" title="class or interface in java.util">isEmpty</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#toArray()" title="class or interface in java.util">toArray</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractExactMembershipLongSet()"><!-- --></A><H3>
AbstractExactMembershipLongSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.67"><B>AbstractExactMembershipLongSet</B></A>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getStorage()"><!-- --></A><H3>
getStorage</H3>
<PRE>
protected abstract <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.Storage.html" title="interface in ch.javasoft.util.longs">AbstractExactMembershipLongSet.Storage</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.72"><B>getStorage</B></A>()</PRE>
<DL>
<DD>Returns the underlying storage model.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.74"><B>size</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLong(int)"><!-- --></A><H3>
getLong</H3>
<PRE>
public long <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.78"><B>getLong</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#getLong(int)">getLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listIterator(int)"><!-- --></A><H3>
listIterator</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.84"><B>listIterator</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#listIterator(int)">LongList</A></CODE></B></DD>
<DD>Returns a list iterator of the elements in this list (in proper
 sequence), starting at the specified position in this list.  The
 specified index indicates the first element that would be returned by
 an initial call to the <tt>next</tt> method.  An initial call to
 the <tt>previous</tt> method would return the element with the
 specified index minus one.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#listIterator(int)">listIterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#listIterator(int)" title="class or interface in java.util">listIterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>index</CODE> - index of first element to be returned from the
                    list iterator (by a call to the <tt>next</tt> method).
<DT><B>Returns:</B><DD>a list iterator of the elements in this list (in proper
               sequence), starting at the specified position in this list.</DL>
</DD>
</DL>
<HR>

<A NAME="listIterator(int, int)"><!-- --></A><H3>
listIterator</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.87"><B>listIterator</B></A>(int&nbsp;start,
                                     int&nbsp;end)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#listIterator(int, int)">LongList</A></CODE></B></DD>
<DD>Returns a list iterator to iterate all long values from <code>start</code> 
 (inclusive) to <code>end</code> (exclusive)
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#listIterator(int, int)">listIterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>start</CODE> - the index of the first value, inclusive<DD><CODE>end</CODE> - the index of the last value, exclusive</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.91"><B>get</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#get(int)" title="class or interface in java.util">get</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="indexOf(java.lang.Object)"><!-- --></A><H3>
indexOf</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.95"><B>indexOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#indexOf(java.lang.Object)" title="class or interface in java.util">indexOf</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="lastIndexOf(java.lang.Object)"><!-- --></A><H3>
lastIndexOf</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.101"><B>lastIndexOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#lastIndexOf(java.lang.Object)" title="class or interface in java.util">lastIndexOf</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="lastIndexOfLong(long)"><!-- --></A><H3>
lastIndexOfLong</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.107"><B>lastIndexOfLong</B></A>(long&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#lastIndexOfLong(long)">LongList</A></CODE></B></DD>
<DD>Returns the index in this list of the last occurrence of the specified
 element, or -1 if this list does not contain this element.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#lastIndexOfLong(long)">lastIndexOfLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - element to search for.
<DT><B>Returns:</B><DD>the index in this list of the last occurrence of the specified
               element, or -1 if this list does not contain this element.</DL>
</DD>
</DL>
<HR>

<A NAME="indexOfLong(long)"><!-- --></A><H3>
indexOfLong</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.110"><B>indexOfLong</B></A>(long&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#indexOfLong(long)">LongList</A></CODE></B></DD>
<DD>Returns the index in this list of the first occurrence of the specified
 element, or -1 if this list does not contain this element.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#indexOfLong(long)">indexOfLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - element to search for.
<DT><B>Returns:</B><DD>the index in this list of the first occurrence of the specified
               element, or -1 if this list does not contain this element.</DL>
</DD>
</DL>
<HR>

<A NAME="binarySearch(long)"><!-- --></A><H3>
binarySearch</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.130"><B>binarySearch</B></A>(long&nbsp;value)</PRE>
<DL>
<DD>Searches for the specified value using the binary search algorithm.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the value to be searched for
<DT><B>Returns:</B><DD>index of the search key, if it is contained in this set;
               otherwise, <tt>(-(<i>insertion point</i>) - 1)</tt>.  The
               <i>insertion point</i> is defined as the point at which the
               key would be inserted into the list: the index of the first
               element in the range greater than the key,
               or <tt>toIndex</tt> if all
               elements in the range are less than the specified key.  Note
               that this guarantees that the return value will be &gt;= 0 if
               and only if the key is found.</DL>
</DD>
</DL>
<HR>

<A NAME="containsLong(long)"><!-- --></A><H3>
containsLong</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.137"><B>containsLong</B></A>(long&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html#containsLong(long)">containsLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html" title="interface in ch.javasoft.util.longs">LongCollection</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#containsLong(long)">containsLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html#containsLong(long)">containsLong</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/longs/AbstractLongCollection.html" title="class in ch.javasoft.util.longs">AbstractLongCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subList(int, int)"><!-- --></A><H3>
subList</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.141"><B>subList</B></A>(int&nbsp;fromIndex,
                        int&nbsp;toIndex)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#subList(int, int)">LongList</A></CODE></B></DD>
<DD>Returns a view of the portion of this list between the specified
 <tt>fromIndex</tt>, inclusive, and <tt>toIndex</tt>, exclusive.  (If
 <tt>fromIndex</tt> and <tt>toIndex</tt> are equal, the returned list is
 empty.)  The returned list is backed by this list, so non-structural
 changes in the returned list are reflected in this list, and vice-versa.
 The returned list supports all of the optional list operations supported
 by this list.<p>

 This method eliminates the need for explicit range operations (of
 the sort that commonly exist for arrays).   Any operation that expects
 a list can be used as a range operation by passing a subList view
 instead of a whole list.  For example, the following idiom
 removes a range of elements from a list:
 <pre>
            list.subList(from, to).clear();
 </pre>
 Similar idioms may be constructed for <tt>indexOf</tt> and
 <tt>lastIndexOf</tt>, and all of the algorithms in the
 <tt>Collections</tt> class can be applied to a subList.<p>

 The semantics of the list returned by this method become undefined if
 the backing list (i.e., this list) is <i>structurally modified</i> in
 any way other than via the returned list.  (Structural modifications are
 those that change the size of this list, or otherwise perturb it in such
 a fashion that iterations in progress may yield incorrect results.)
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#subList(int, int)">subList</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#subList(int, int)" title="class or interface in java.util">subList</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fromIndex</CODE> - low endpoint (inclusive) of the subList.<DD><CODE>toIndex</CODE> - high endpoint (exclusive) of the subList.
<DT><B>Returns:</B><DD>a view of the specified range within this list.</DL>
</DD>
</DL>
<HR>

<A NAME="subSet(long, long)"><!-- --></A><H3>
subSet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/longs/SortedLongSet.html" title="interface in ch.javasoft.util.longs">SortedLongSet</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.171"><B>subSet</B></A>(long&nbsp;fromElement,
                            long&nbsp;toElement)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/longs/SortedLongSet.html#subSet(long, long)">SortedLongSet</A></CODE></B></DD>
<DD>Returns a view of the portion of this set whose elements range
 from <tt>fromElement</tt>, inclusive, to <tt>toElement</tt>,
 exclusive.  (If <tt>fromElement</tt> and <tt>toElement</tt> are
 equal, the returned set is empty.)  The returned set is backed
 by this set, so changes in the returned set are reflected in
 this set, and vice-versa.  The returned set supports all
 optional set operations that this set supports.

 <p>The returned set will throw an <tt>IllegalArgumentException</tt>
 on an attempt to insert an element outside its range.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/SortedLongSet.html#subSet(long, long)">subSet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/SortedLongSet.html" title="interface in ch.javasoft.util.longs">SortedLongSet</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fromElement</CODE> - low endpoint (inclusive) of the returned set<DD><CODE>toElement</CODE> - high endpoint (exclusive) of the returned set
<DT><B>Returns:</B><DD>a view of the portion of this set whose elements range from
         <tt>fromElement</tt>, inclusive, to <tt>toElement</tt>, exclusive</DL>
</DD>
</DL>
<HR>

<A NAME="comparator()"><!-- --></A><H3>
comparator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.175"><B>comparator</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html#comparator()" title="class or interface in java.util">comparator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="iterator()"><!-- --></A><H3>
iterator</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/longs/LongIterator.html" title="interface in ch.javasoft.util.longs">LongIterator</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.179"><B>iterator</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html#iterator()">iterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html" title="interface in ch.javasoft.util.longs">LongCollection</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongIterable.html#iterator()">iterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongIterable.html" title="interface in ch.javasoft.util.longs">LongIterable</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#iterator()">iterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html#iterator()" title="class or interface in java.lang">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#iterator()" title="class or interface in java.util">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#iterator()" title="class or interface in java.util">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#iterator()" title="class or interface in java.util">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listIterator()"><!-- --></A><H3>
listIterator</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/longs/LongListIterator.html" title="interface in ch.javasoft.util.longs">LongListIterator</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.183"><B>listIterator</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#listIterator()">listIterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#listIterator()" title="class or interface in java.util">listIterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="intersect(ch.javasoft.util.longs.AbstractExactMembershipLongSet)"><!-- --></A><H3>
intersect</H3>
<PRE>
public abstract <A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.195"><B>intersect</B></A>(<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" title="class in ch.javasoft.util.longs">AbstractExactMembershipLongSet</A>&nbsp;with)</PRE>
<DL>
<DD>Returns a set with the long values common to <code>this</code> set and 
 <code>with</code>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - the set to intersect with
<DT><B>Returns:</B><DD>the set containing elements which are contained in <code>this</code>
                        set as well as in the <code>with</code> set</DL>
</DD>
</DL>
<HR>

<A NAME="bytesSize()"><!-- --></A><H3>
bytesSize</H3>
<PRE>
public long <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.203"><B>bytesSize</B></A>()</PRE>
<DL>
<DD>Returns the total number of bytes used to store the values. Constant
 parts such as size value or array length field are omitted.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of bytes used to store the values</DL>
</DD>
</DL>
<HR>

<A NAME="addLong(long)"><!-- --></A><H3>
addLong</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.210"><B>addLong</B></A>(long&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html#addLong(long)">addLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html" title="interface in ch.javasoft.util.longs">LongCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addLong(int, long)"><!-- --></A><H3>
addLong</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.214"><B>addLong</B></A>(int&nbsp;index,
                       long&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#addLong(int, long)">addLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(int, java.lang.Long)"><!-- --></A><H3>
add</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.218"><B>add</B></A>(int&nbsp;index,
                <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&nbsp;element)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#add(int, E)" title="class or interface in java.util">add</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(int, java.util.Collection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.222"><B>addAll</B></A>(int&nbsp;index,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;&nbsp;c)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#addAll(int, java.util.Collection)" title="class or interface in java.util">addAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setLong(int, long)"><!-- --></A><H3>
setLong</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.226"><B>setLong</B></A>(int&nbsp;index,
                   long&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#setLong(int, long)">setLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeLong(long)"><!-- --></A><H3>
removeLong</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.230"><B>removeLong</B></A>(long&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html#removeLong(long)">removeLong</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongCollection.html" title="interface in ch.javasoft.util.longs">LongCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="set(int, java.lang.Long)"><!-- --></A><H3>
set</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.234"><B>set</B></A>(int&nbsp;index,
                <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&nbsp;element)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#set(int, E)" title="class or interface in java.util">set</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeLongAt(int)"><!-- --></A><H3>
removeLongAt</H3>
<PRE>
public long <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.238"><B>removeLongAt</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html#removeLongAt(int)">removeLongAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/longs/LongList.html" title="interface in ch.javasoft.util.longs">LongList</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="remove(int)"><!-- --></A><H3>
remove</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A> <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.242"><B>remove</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(int)" title="class or interface in java.util">remove</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/longs/AbstractExactMembershipLongSet.html#line.246"><B>clear</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractExactMembershipLongSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractBitSet.html" title="class in ch.javasoft.util.longs"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/longs/AbstractExactMembershipLongSet.AbstractStorage.html" title="class in ch.javasoft.util.longs"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/longs/AbstractExactMembershipLongSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractExactMembershipLongSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.longs.AbstractLongCollection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
